Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505712 - <dev-lang/php-{5.4.27,5.5.11} : Fileinfo libmagic AWK File Processing Denial of Service Vulnerability (CVE-2013-7345)
Summary: <dev-lang/php-{5.4.27,5.5.11} : Fileinfo libmagic AWK File Processing Denial ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/57564/
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-25 13:37 UTC by Agostino Sarubbo
Modified: 2014-08-31 11:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-03-25 13:37:10 UTC
From ${URL} :

Description

A vulnerability has been reported in PHP, which can be exploited by malicious people to cause a DoS 
(Denial of Service).

The vulnerability is caused due to an error in the libmagic library bundled in the Fileinfo extension when 
processing certain AWK scripts, which can be exploited to cause excessive CPU resources consumption via a 
specially crafted AWK script file.

The vulnerability is reported in versions 5.5.x and 5.4.x.


Solution:
Fixed in the source code repository.

Provided and/or discovered by:
Reported by the vendor.

Original Advisory:
http://git.php.net/?p=php-src.git;a=commit;h=4374a52e9d13c480b4620c80a48591c6f883664b


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-16 05:55:15 UTC
Is this bug fixed as part of current stabilization (or any previous stabilizations)?
Comment 2 Kristian Fiskerstrand gentoo-dev Security 2014-08-23 18:50:04 UTC
CVE-2013-4345 was fixed in version 5.5.11 and 5.4.27 according to http://php.net/ChangeLog-5.php#5.5.11 and http://php.net/ChangeLog-5.php#5.4.27 that are already stabilized. 

Added to existing GLSA draft
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 11:27:34 UTC
This issue was resolved and addressed in
 GLSA 201408-11 at http://security.gentoo.org/glsa/glsa-201408-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).